com.r3corda.protocols / ServiceRequestMessage

# ServiceRequestMessage

`interface ServiceRequestMessage`

Abstract superclass for request messages sent to services, which includes common fields such as replyTo and sessionID.

### Properties

sessionID | `abstract val sessionID: Long`

### Functions

getReplyTo | `abstract fun getReplyTo(networkMapCache: NetworkMapCache): MessageRecipients`

### Inheritors

DirectRequestMessage | `interface DirectRequestMessage : ServiceRequestMessage` A message which specifies reply destination as a specific endpoint such as a monitoring client. This is of particular use where we want to address a specific endpoint, not necessarily a specific user (for example if the same user logs in on two machines, we want to consistently deliver messages as part of a session, to the same machine the session started on).
NetworkMapRequestMessage | `abstract class NetworkMapRequestMessage : ServiceRequestMessage`
PartyRequestMessage | `interface PartyRequestMessage : ServiceRequestMessage`